'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class ReviewResponse extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  ReviewResponse.init({
    reviewId: DataTypes.INTEGER,
    userId: DataTypes.INTEGER,
    response: DataTypes.TEXT,
    isOfficial: DataTypes.BOOLEAN
  }, {
    sequelize,
    modelName: 'ReviewResponse',
  });
  return ReviewResponse;
};